<?php
/**
 * Plugin Qcm (addon for plugin Adm_redacteurs)
 * Version  : 1.3 (2018/04/12)
 * Compatibility : Guppy v5.0+ et Adm_redacteurs v6.12+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>
<form action="<?php echo $form_url; ?>" method="post">
<?php include ADMR_VIEWS_PATH.'/fragments/add_input_token_view.php'; ?>
<input type="hidden" name="id" value="<?php echo $params['id']; ?>" />

<?php include ADMR_VIEWS_PATH.'/fragments/add_block_confirm_message_view.php'; ?>

<h4 class="ADMR_title"><?php echo ucfirst($lang['heading_form_recording']); ?>&nbsp;:</h4>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<?php include ADMR_VIEWS_PATH.'/fragments/add_input_author_view.php'; ?>

<?php if (empty($params['id'])) : ?>
<!-- Choix du qcm -->
<fieldset>
<legend><?php echo ucfirst($lang['selection_of_qcm']); ?></legend>
    <p>
    <label title="<?php echo $lang['select_qcm']; ?>"><?php echo ucfirst($lang['select_qcm']); ?>&nbsp;:&nbsp;
    <select name="params[qcm_id]" id="qcm_id" size="3"
    data-validation="required"
    data-validation-error-msg="<?php echo htmlspecialchars($lang['form_errors_msg']['please_select_qcm'], ENT_QUOTES, 'UTF-8'); ?>"
    >
    <option value=""<?php echo empty($qcm_id) ? ' selected="selected"' : ''; ?>><?php echo '('.$lang['none'].')'; ?></option>
    <?php foreach($qcms as $qcm) : ?>
    <option value="<?php echo htmlspecialchars($qcm['id']); ?>"<?php echo ($qcm['id'] == $qcm_id) ? ' selected="selected"' : ''; ?>><?php echo $qcm['id'].'&nbsp;:&nbsp;'.htmlspecialchars((ADMR_LNG == $config['lang'][1])? $qcm['title2'] : $qcm['title1']); ?></option>
    <?php endforeach; ?>
    </select>
    </label>
    <?php echo !empty($errors['qcm_id']) ? $errors['qcm_id'] : '' ?>
    </p>
</fieldset>
<?php else : ?>
<input type="hidden" name="qcm_id" value="<?php echo $params['qcm_id']; ?>" />
<?php endif; ?>

<!-- Titre de la question du qcm -->
<?php include ADMR_VIEWS_PATH.'/fragments/add_fieldset_title_view.php'; ?>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<!-- Contenu de la question -->
<?php include ADMR_VIEWS_PATH.'/fragments/add_fieldset_contents_view.php'; ?>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<!-- Réponses proposées -->
<fieldset class="answers">
<legend><?php echo ucfirst($lang['answers']); ?></legend>
    <?php for($i = 0; $i < max(3, $nb_answers + 1); $i ++) : ?>
    <?php if ($i != 0) : ?>
        <p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
    <?php endif; ?>
    <fieldset>
        <legend><?php echo ucfirst($lang['answer']).' '.($i+1); ?></legend>       
        <!-- Contenu de la réponse -->
        <?php foreach($config['lang'] as $key => $lng) : ?>
            <?php if (!empty($lng)) : ?>
            <div>
            <label for="params[answers][<?php echo $i; ?>][content<?php echo $key+1; ?>]"><img src="<?php echo CHEMIN.'inc/lang/'.$lng.'.gif'; ?>" alt="<?php echo $lng; ?>" title="<?php echo $lng; ?>" />&nbsp;<?php echo ucfirst($lang['write_doc_contents']); ?>&nbsp;:&nbsp;</label>
            <textarea id="params[answers][<?php echo $i; ?>][content<?php echo $key+1; ?>]" name="params[answers][<?php echo $i; ?>][content<?php echo $key+1; ?>]" rows="3" cols="60" placeholder="<?php echo $lang['click_here_to_add_content']; ?>"><?php echo htmlspecialchars($params['answers'][$i]['content'.($key+1)], ENT_QUOTES, 'UTF-8'); ?></textarea>
            <?php  Editor_helper :: display_editor('params[answers]['.$i.'][content'.($key+1).']', $params['answers'][$i]['content'.($key+1)], array('writer_rights' => $writer_rights, 'customConfig' => str_replace(CHEMIN, ADMR_SITE_URL, QCM_CKEDITOR_CONFIG_PATH), 'height' => '50px', 'toolbar' => ADMR_IS_ADMIN ? 'admin' : 'writer')); ?>
            </div>
            <?php endif; ?>
        <?php endforeach; ?>
        <!-- Validité de la réponse -->
        <p><?php echo ucfirst($lang['correct_answer']); ?> :
            <label>
                <input type="radio" name="params[answers][<?php echo $i; ?>][is_correct]" value="1"<?php echo !empty($params['answers'][$i]['is_correct']) ? ' checked="checked"' : ''; ?> />
                &nbsp;<?php echo ucfirst($lang['yes']); ?>
            </label>
            <label>
                <input type="radio" name="params[answers][<?php echo $i; ?>][is_correct]" value="0"<?php echo empty($params['answers'][$i]['is_correct']) ? ' checked="checked"' : ''; ?> />
                &nbsp;<?php echo ucfirst($lang['no']); ?>
            </label>
        </p>
    </fieldset>
    <?php endfor; ?>
</fieldset>

<!-- Options de configuration -->
<?php if (empty($params['id']) && !empty($writer_rights[$doc_type['name'].'_act']) // Gestion du status autorisé
          || !empty($writer_rights[$doc_type['name'].'_private_group_manage'])) : // Gestion de l'accès au groupe privé autorisée ?>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
<fieldset>
<legend><?php echo ucfirst($lang['document_options']); ?></legend>
<?php include ADMR_VIEWS_PATH.'/fragments/add_select_status_view.php'; ?>
<?php include ADMR_VIEWS_PATH.'/fragments/add_select_private_group_view.php'; ?>
    <?php if (ADMR_IS_ADMIN) : ?>
    <p> <!-- Affichage du nom de l'auteur -->
    <span title=""><?php echo ucfirst($lang['display_author']); ?>&nbsp;:&nbsp;</span>
    <label><input type="radio" value="1" name="params[display_author]"<?php echo !empty($params['display_author']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['yes']); ?></label>
    <span>&nbsp;&nbsp;</span>
    <label><input type="radio" value="0" name="params[display_author]"<?php echo empty($params['display_author']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['no']); ?></label>       
    </p>
    <?php endif; ?>
</fieldset>
<?php endif; ?>

<p><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
</form>